# Syncthing-Fork Privacy Policy

## Introduction
A Privacy Policy is a legitimate articulation that determines what the developer does with the individual information gathered from users of the application, alongside how the data is collected and for what purposes.
This privacy policy document is to state and gives data on what, how and why individual information or data is gathered, utilized when Syncthing-Fork is used. And to help users decide on what information they choose to share. After reading this document and, you decide to continue using this software, it implies you accept all terms and conditions stated by the developer in this policy.

This Privacy Policy implies that the developer would not be held responsible for the content or privacy practices on any third party app not operated by the developer to which this software links or that links to this software. Subsequently, it is fitting to read up the policies of third-party applications that might be connected or associated with this software.


## Access and Permission

### Camera permission
The permission to access camera is used to scan QR codes in order to provide an easy method for entering device IDs. The app does not save any pictures or video in the process. The app will still work if the user denies the permission and enters the device ID manually.

The permission to access camera is used to shoot photos with the "Syncthing Camera" feature. This is an optional feature, the app will still work if the user denies the permission and moves pictures into folders manually.

### Location permission
You can choose if Syncthing-Fork is allowed to use Android's "location" permission. This is completely optional and not required to use the app. For location data includes very sensitive personal information related to user privacy, the app does not store any location data. The permission to access location in the background is used only to check for an SSID of the currently active Wi-Fi. The sole purpose of this information is to limit synchronisation to user-configured Wi-Fi connections. At no point is this information used to determine the user's actual location nor is it ever shared with any 3rd party entities.


## Information Collection and Use
**The developer of the Syncthing-Fork Wrapper doesn't have access to or gather any form of data from users of the application.** "data" for example refers to personal data, configuration files, unique IDs, files synchronized by Syncthing. As the Syncthing-Fork Android app is a wrapper and graphical user interface for Syncthing, it contains and uses the "third party" Syncthing module built from the official source code at [https://github.com/syncthing/syncthing/releases](https://github.com/syncthing/syncthing/releases). Syncthing as the "synchronization functionality core" may gather data from users, for example, it generates unique ID's for usage reporting and it may upload usage reports.

**To state this clearly:**

**[Syncthing](https://www.syncthing.net) is a different project and you should look up their privacy policy at [https://www.syncthing.net](https://www.syncthing.net).**


## Personal Data
The developer doesn't collect personally identifiable data while the software is being utilized.


## Security Of Data
The security of your information is imperative, however, recall that no strategy for transmission over the internet, or technique for electronic capacity is 100% secure. Therefore the developer doesn't ensure its supreme security. Syncthing-Fork is a wrapper and graphical interface for Syncthing. It does not transmit your files over the network as this is handled by the previously mentioned [Syncthing module](https://github.com/syncthing/syncthing/releases). If you believe you've found a Syncthing-related security vulnerability, please contact the Syncthing team at [https://syncthing.net/security.html](https://syncthing.net/security.html).


## Age Restrictions
Syncthing-Fork is a general utility application with functionalities that does not constrain its use from being utilized by any age review, asides from generally expressed in an arrangement or law controlling that district.


## Changes To This Policy
The developer maintains all authority to change this privacy policy and its terms whenever. The changes are probably going to happen as the improvement of the application advances and with more functionalities included, which would repudiate a few explanations contained in this privacy policy. You are encouraged to check this privacy policy document for updates and changes intermittently.


## Disclaimer
Syncthing-Fork is developed to provide an Android graphical user interface assisting users in configuring and running Syncthing [https://www.syncthing.net](https://www.syncthing.net) on their mobile devices. The developer will not be held accountable for how you decide to use this software and will not be liable for any losses and damages in connection with the use of the software.


## Contact Us
For further request in regards to this privacy protection arrangement or some other issue identifying with the improvement or inside the circuit of Syncthing-Fork programming, if it's not too much trouble contact the developer by opening an issue on the application's authentic repository [https://github.com/Catfriend1/syncthing-android/issues](https://github.com/Catfriend1/syncthing-android/issues) on GitHub. It will be ideal if you likewise check if the point you need to open hasn't just been opened. Syncthing-Fork will be enhanced with contributions from the open source network. Don't hesitate to make a pull request of the suggestions and improvements. We welcome every contribution, for example, in form of code or translations.
